Bug 1967275 - Awkward wrapping in getting started dashboard card
Summary: Awkward wrapping in getting started dashboard card
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.8.0
Assignee: Yadan Pei
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-02 18:12 UTC by Samuel Padgett
Modified: 2021-07-27 23:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Version: 4.8.0-0.nightly-2021-06-02-025513 Cluster ID: 42a48920-049e-4386-8a22-dc267b14a7b2 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:89.0) Gecko/20100101 Firefox/89.0
Last Closed: 2021-07-27 23:11:18 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot (153.67 KB, image/png)
2021-06-02 18:12 UTC, Samuel Padgett
no flags Details
arrow icon is wrapped with parent elements (94.09 KB, image/png)
2021-06-11 05:35 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9184 0 None open Bug 1967275: Prevent awkward wrap of icons with getting started links and buttons 2021-06-08 20:50:31 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:11:29 UTC

Description Samuel Padgett 2021-06-02 18:12:37 UTC
Created attachment 1788742 [details]
Screenshot

The icons in the "Getting started resources" wrap awkwardly. The icon should not wrap by itself to the next line. We probably need a non-breaking space before the icon or some way to make sure the text wraps with it.

Also I think "Getting started resources" is a confusing title since "resources" has a specific meaning in Kubernetes and the links are not for Kubernetes resources. Is simply "Getting started" better?

Comment 2 Yadan Pei 2021-06-11 05:35:17 UTC
Created attachment 1790086 [details]
arrow icon is wrapped with parent elements

Now the arrow icon is wrapped with parent elements and shown in the same line

Verified on 4.8.0-0.nightly-2021-06-10-071057

Comment 5 errata-xmlrpc 2021-07-27 23:11:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.